v1-observation
Participant Observation State
Participant Observation State
curl --request GET \
--url https://api.example.com/v1/participant/observation \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/participant/observation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/participant/observation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/participant/observation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/participant/observation"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/participant/observation")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/participant/observation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"available": true,
"consent": {
"notice_text": "<string>",
"notice_version": "<string>",
"purpose": "<string>"
},
"consented": true,
"min_seconds": 123,
"prompt_text": "<string>",
"show_participant_results": true,
"status": "not_started",
"target_seconds": 123,
"summary": {
"activity": {
"active_pct": 50,
"away_pct": 50,
"hidden_pct": 50,
"keys_per_min": 5000,
"mean_motion": 0.5,
"pointer_per_min": 5000,
"still_pct": 50
},
"analysed_s": 1800,
"body": {
"available": true,
"posture_shifts": 50000,
"fidget_energy": 5000,
"shoulder_tilt_deg": 0,
"uprightness_change_pct": 0
},
"calibration_s": 1800,
"duration_s": 1800,
"eyes": {
"blinks": 50000,
"blinks_per_min_by_third": [
5000
],
"long_closures": 50000,
"blinks_per_min": 5000,
"mean_blink_ms": 2500
},
"face": {
"brow_raises": 50000,
"mouth_open_events": 50000,
"smile_events": 50000,
"talking_like_s": 1800,
"expression_variability": 0.5,
"lip_press_pct": 50,
"mouth_open_pct": 50,
"smile_pct": 50
},
"fps": 120,
"frames": 500000,
"gaze": {
"heatmap": [
50
],
"longest_off_screen_s": 1800,
"off_screen_glances": 50000,
"fixation_spread_deg": 5000,
"mean_glance_s": 1800,
"on_screen_pct": 50,
"rapid_shifts_per_min": 5000
},
"hands": {
"available": true,
"face_touches": 50000,
"visible_pct": 50
},
"head": {
"longest_still_s": 1800,
"nods": 50000,
"shakes": 50000,
"mean_speed_deg_s": 5000,
"pitch": {
"max": 0,
"mean": 0,
"min": 0,
"sd": 180
},
"roll": {
"max": 0,
"mean": 0,
"min": 0,
"sd": 180
},
"yaw": {
"max": 0,
"mean": 0,
"min": 0,
"sd": 180
}
},
"lighting": {
"label": "dark",
"mean_brightness": 0.5
},
"metrics_version": 1,
"presence": {
"face_pct": 50,
"longest_absence_s": 1800,
"multiple_faces_s": 1800,
"distance_variability_pct": 5000,
"lean_change_pct": 0
},
"quality": "good",
"quality_reasons": [
"<string>"
]
},
"timeline": [
{
"blinks": 10,
"face_pct": 50,
"head_speed": 5000,
"keys": 500,
"motion": 0.5,
"mouth_open_pct": 50,
"on_screen_pct": 50,
"pointer": 5000,
"s": 1800,
"smile_pct": 50,
"state": "active"
}
],
"unavailable_reason": "embedded"
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}Authorizations
Short-lived token bound to one participant session.
Response
Successful Response
Whether the camera session is offered, and where it stands.
Show child attributes
Show child attributes
Available options:
not_started, active, completed Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
embedded, closed ⌘I
Participant Observation State
curl --request GET \
--url https://api.example.com/v1/participant/observation \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/participant/observation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/participant/observation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/participant/observation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/participant/observation"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/participant/observation")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/participant/observation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"available": true,
"consent": {
"notice_text": "<string>",
"notice_version": "<string>",
"purpose": "<string>"
},
"consented": true,
"min_seconds": 123,
"prompt_text": "<string>",
"show_participant_results": true,
"status": "not_started",
"target_seconds": 123,
"summary": {
"activity": {
"active_pct": 50,
"away_pct": 50,
"hidden_pct": 50,
"keys_per_min": 5000,
"mean_motion": 0.5,
"pointer_per_min": 5000,
"still_pct": 50
},
"analysed_s": 1800,
"body": {
"available": true,
"posture_shifts": 50000,
"fidget_energy": 5000,
"shoulder_tilt_deg": 0,
"uprightness_change_pct": 0
},
"calibration_s": 1800,
"duration_s": 1800,
"eyes": {
"blinks": 50000,
"blinks_per_min_by_third": [
5000
],
"long_closures": 50000,
"blinks_per_min": 5000,
"mean_blink_ms": 2500
},
"face": {
"brow_raises": 50000,
"mouth_open_events": 50000,
"smile_events": 50000,
"talking_like_s": 1800,
"expression_variability": 0.5,
"lip_press_pct": 50,
"mouth_open_pct": 50,
"smile_pct": 50
},
"fps": 120,
"frames": 500000,
"gaze": {
"heatmap": [
50
],
"longest_off_screen_s": 1800,
"off_screen_glances": 50000,
"fixation_spread_deg": 5000,
"mean_glance_s": 1800,
"on_screen_pct": 50,
"rapid_shifts_per_min": 5000
},
"hands": {
"available": true,
"face_touches": 50000,
"visible_pct": 50
},
"head": {
"longest_still_s": 1800,
"nods": 50000,
"shakes": 50000,
"mean_speed_deg_s": 5000,
"pitch": {
"max": 0,
"mean": 0,
"min": 0,
"sd": 180
},
"roll": {
"max": 0,
"mean": 0,
"min": 0,
"sd": 180
},
"yaw": {
"max": 0,
"mean": 0,
"min": 0,
"sd": 180
}
},
"lighting": {
"label": "dark",
"mean_brightness": 0.5
},
"metrics_version": 1,
"presence": {
"face_pct": 50,
"longest_absence_s": 1800,
"multiple_faces_s": 1800,
"distance_variability_pct": 5000,
"lean_change_pct": 0
},
"quality": "good",
"quality_reasons": [
"<string>"
]
},
"timeline": [
{
"blinks": 10,
"face_pct": 50,
"head_speed": 5000,
"keys": 500,
"motion": 0.5,
"mouth_open_pct": 50,
"on_screen_pct": 50,
"pointer": 5000,
"s": 1800,
"smile_pct": 50,
"state": "active"
}
],
"unavailable_reason": "embedded"
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}